Package com.independentsoft.office.drawing

# Class LightRig

java.lang.Object
com.independentsoft.office.drawing.LightRig

public class LightRig extends Object
The Class LightRig.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LightRig()`
  Instantiates a new light rig.
  `LightRig​(InternalXMLStreamReader reader)`
  Instantiates a new light rig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LightRig`
  `clone()`
  `LightRigDirection`
  `getDirection()`
  Gets the direction.
  `Rotation`
  `getRotation()`
  Gets the rotation.
  `LightRigType`
  `getType()`
  Gets the type.
  `void`
  `setDirection​(LightRigDirection direction)`
  Sets the direction.
  `void`
  `setRotation​(Rotation rotation)`
  Sets the rotation.
  `void`
  `setType​(LightRigType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LightRig

    public LightRig()
    Instantiates a new light rig.

  - ### LightRig

    public LightRig​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new light rig.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public LightRig clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRotation

    public Rotation getRotation()
    Gets the rotation.
    Returns:
      the rotation

  - ### setRotation

    public void setRotation​(Rotation rotation)
    Sets the rotation.
    Parameters:
      `rotation` - the new rotation

  - ### getDirection

    public LightRigDirection getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(LightRigDirection direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getType

    public LightRigType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(LightRigType type)
    Sets the type.
    Parameters:
      `type` - the new type